#ifndef SSDatenbankV_H
#define SSDatenbankV_H

#include <Text.h>
#include <Array.h>
#include <Zeit.h>

using namespace Framework;

class SSDatenbankV : public virtual ReferenceCounter
{
private:

public:
    virtual ~SSDatenbankV()
    {}
    // nicht constant
    virtual int getAccountId( int clientId ) = 0;
    virtual Text *getSpielArtName( int spielId ) = 0;
    virtual Text *getKarteName( int karteId ) = 0;
    virtual int getSpielArtId( int karteId ) = 0;
    virtual Text *getAccountRufName( int accountId ) = 0;
    virtual bool setSpielStatusBeendet( int spielId, int status ) = 0;
    virtual bool setSpielSpielerStatus( int spielId, int accountId, int punkte, int status ) = 0;
    virtual bool addSpielerStatistik( int accountId, int spielId ) = 0;
    virtual Text *getSpielPfad( int karteId ) = 0;
};

#endif