#ifndef SpielerStatistik_H
#define SpielerStatistik_H

#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

class SpielerStatistik : public virtual ReferenceCounter
{
private:
    int spielerNummer;
    Text *spielerName;
    Text *teamName;
    int spielerFarbe;
    int teamFarbe;
    int schadenBekommen;
    int schadenGemacht;
    int treibstoffVerbraucht;
    int shots;
    int treffer;
    int punkte;
    int kills;
    int tode;
    int zeitAmLeben;
    int zeitTod;

public:
    // Konstruktor
    SpielerStatistik();
    // Destruktor
    ~SpielerStatistik();
    // nicht constant
    void initValues( InitDatei *dat );
    // constant
    int getSpielerNummer() const;
    Text *getSpielerName() const;
    Text *zSpielerName() const;
    Text *getTeamName() const;
    Text *zTeamName() const;
    int getSpielerFarbe() const;
    int getTeamFarbe() const;
    int getSchadenBekommen() const;
    int getSchadenGemacht() const;
    int getTreibstoffVerbraucht() const;
    int getShots() const;
    int getTreffer() const;
    int getPunkte() const;
    int getZeitAmLeben() const;
    int getZeitTod() const;
    int getKills() const;
    int getTode() const;
};

#endif