#ifndef TeamStatistik_H
#define TeamStatistik_H

#include <Text.h>
#include <InitDatei.h>

using namespace Framework;

class TeamStatistik : public virtual ReferenceCounter
{
private:
    int teamNummer;
    Text *teamName;
    int teamFarbe;
    int schadenBekommen;
    int schadenGemacht;
    int treibstoffVerbraucht;
    int shots;
    int treffer;
    int punkte;
    int kills;
    int tode;
    bool gewonnen;

public:
    // Konstruktor
    TeamStatistik();
    // Destruktor
    ~TeamStatistik();
    // nicht constant
    void initValues( InitDatei *dat );
    // constant
    int getTeamNummer() const;
    Text *getTeamName() const;
    Text *zTeamName() const;
    int getTeamFarbe() const;
    int getSchadenBekommen() const;
    int getSchadenGemacht() const;
    int getTreibstoffVerbraucht() const;
    int getShots() const;
    int getTreffer() const;
    int getPunkte() const;
    int getKills() const;
    int getTode() const;
    bool hatGewonnen() const;
};

#endif